﻿Public Class Form1
    Private Declare Function MLoad Lib "pdftoimage.dll" (ByVal filename As String, ByVal password As String) As Integer
    Private Declare Function MEncode Lib "pdftoimage.dll" (ByVal id As Integer, ByVal pageno As Integer) As Integer
    Private Declare Function MFree Lib "pdftoimage.dll" (ByVal id As Integer) As Integer
    Private Declare Function MGetCount Lib "pdftoimage.dll" (ByVal id As Integer) As Integer

    Private Declare Function MSetParam Lib "pdftoimage.dll" (ByVal id As Integer, ByVal outpath As String, ByVal imagetype As Integer, _
    ByVal bitcount As Integer, ByVal compression As Integer, ByVal quality As Integer, ByVal grayscale As Integer, ByVal multipage As Integer, _
    ByVal rotate As Integer, ByVal width As Integer, ByVal height As Integer, ByVal xdpi As Integer, ByVal ydpi As Integer) As Integer

    'The compression method in the generated TIFF file.
    Const COMPRESSION_NONE = 1              '/* dump mode */
    Const COMPRESSION_CCITTRLE = 2          '/* CCITT modified Huffman RLE */
    Const COMPRESSION_CCITTFAX3 = 3         '/* CCITT Group 3 fax encoding */
    Const COMPRESSION_CCITTFAX4 = 4         '/* CCITT Group 4 fax encoding */
    Const COMPRESSION_LZW = 5               '/* Lempel-Ziv  & Welch */
    Const COMPRESSION_JPEG = 7              '/* %JPEG DCT compression */
    Const COMPRESSION_PACKBITS = 32773      '/* Macintosh RLE */

    'Image formats
    Const IMAGE_FORMAT_TIF = 1
    Const IMAGE_FORMAT_JPG = 2
    Const IMAGE_FORMAT_BMP = 3
    Const IMAGE_FORMAT_PNG = 4
    Const IMAGE_FORMAT_GIF = 5
    Const IMAGE_FORMAT_PCX = 6
    Const IMAGE_FORMAT_EMF = 7
    Const IMAGE_FORMAT_WMF = 8
    Const IMAGE_FORMAT_TGA = 9
    Const IMAGE_FORMAT_JP2 = 10
    Const IMAGE_FORMAT_RAS = 11
    Const IMAGE_FORMAT_JPC = 12
    
    Private Sub Button1_Click(sender As System.Object, e As System.EventArgs) Handles Button1.Click
        Dim id As Integer
        Dim pageCount As Integer
        Dim i As Integer
        Dim multipages As Integer

        id = MLoad("test.pdf", "")
        Select Case id
            Case -1
                MsgBox("PDF file unexist or damaged!")
                Exit Sub
            Case -2
                MsgBox("PDF file is restricted!")
                Exit Sub
        End Select

        'The 1 is generate a multi-page TIFF file, the 0 is generate a TIFF file for each page
        multipages = 1
        MSetParam(id, "", IMAGE_FORMAT_TIF, 24, COMPRESSION_LZW, 0, 0, multipages, 0, 0, 0, 96, 96)

        pageCount = MGetCount(id)
        For i = 1 To pageCount
            MEncode(id, i)
            ProgressBar1.Value = Math.Round((i * 100) / pageCount)
        Next

        MFree(id)
        MsgBox("Convert finished!")

    End Sub

    Private Sub Button2_Click(sender As System.Object, e As System.EventArgs) Handles Button2.Click
        Dim id As Integer
        Dim pageCount As Integer
        Dim i As Integer


        id = MLoad("test.pdf", "")
        Select Case id
            Case -1
                MsgBox("PDF file unexist or damaged!")
                Exit Sub
            Case -2
                MsgBox("PDF file is restricted!")
                Exit Sub
        End Select

        MSetParam(id, "", IMAGE_FORMAT_JPG, 24, 0, 75, 0, 0, 90, 800, 600, 120, 120)

        pageCount = MGetCount(id)
        For i = 1 To pageCount
            MEncode(id, i)
            ProgressBar1.Value = Math.Round((i * 100) / pageCount)
        Next

        MFree(id)
        MsgBox("Convert finished!")

    End Sub
End Class
